-- Copyright (c) 2026 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local lu = require 'luaunit'
local ub_base = require 'ub_cable.class.base'

TestUbBase = {}

function TestUbBase:test_get_prop()
    ub_base.mds_obj = {}
    ub_base.mds_obj['NodeId'] = 3
    ub_base.mds_obj['Pcie'] = {}
    ub_base.mds_obj['Pcie']['NodeId'] = 3
    ub_base:set_prop('NodeId', 1)
    local nodeid = ub_base:get_prop('NodeId')
    lu.assertEquals(nodeid, 1)
    ub_base:set_prop('NodeId', 5, 'Pcie')
    nodeid = ub_base:get_prop('NodeId','Pcie')
    lu.assertEquals(nodeid, 5)
end